---
lang: en
title: 'API docs: context.injectionmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectionmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectionMetadata](./context.injectionmetadata.md)

## InjectionMetadata interface

An object to provide metadata for `@inject`

**Signature:**

```typescript
export interface InjectionMetadata extends Omit<ResolutionOptions, 'session'> 
```
**Extends:** Omit&lt;[ResolutionOptions](./context.resolutionoptions.md)<!-- -->, 'session'&gt;

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindingComparator?](./context.injectionmetadata.bindingcomparator.md) |  | [BindingComparator](./context.bindingcomparator.md) | _(Optional)_ Optional comparator for matched bindings |
|  [decorator?](./context.injectionmetadata.decorator.md) |  | string | _(Optional)_ Name of the decorator function, such as <code>@inject</code> or <code>@inject.setter</code>. It's usually set by the decorator implementation. |


